%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define modn   wxPython
%define modv   %{wxver}.%{wxrel}.1
%define wxver  2.8
%define wxrel  7


Summary:       Cross platform GUI toolkit for Python
Name:          python-%{modn}
Version:       %{modv}
Release:       3%{?dist}%{?pext}
License:       wxWindows
Group:         Development/Libraries
Source0:       http://downloads.sourceforge.net/wxpython/%{modn}-src-%{modv}.tar.bz2
URL:           http://www.wxpython.org/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Robin Dunn <robin@alldunn.com>
Provides:      %{modn} = %{modv}
Provides:      %{modn}-ansi = %{modv}
Provides:      %{modn}-unicode = %{modv}
BuildRequires: python-devel >= 2.3
BuildRequires: wxGTK-devel = %{wxver}.%{wxrel}

%description
wxPython is a GUI toolkit for the Python programming language. It allows
Python programmers to create programs with a robust, highly functional
graphical user interface, simply and easily. It is implemented as a Python
extension module (native code) that wraps the popular wxWidgets cross
platform GUI library, which is written in C++.


%package       devel
Summary:       Development tools for %{modn}
Group:         Development/Libraries
Provides:      %{modn}-devel = %{modv}
Provides:      %{modn}-devel-ansi = %{modv}
Provides:      %{modn}-devel-unicode = %{modv}
Requires:      %{name} = %{version}-%{release}
Requires:      wxGTK-devel = %{wxver}.%{wxrel}

%description   devel
This package includes the header files and such that are needed if you
need to create extension modules or applications that interact with the
wxPython extensions modules.


%prep
%setup -q -n %{modn}-src-%{modv}


%build
export CFLAGS="${RPM_OPT_FLAGS}"
export WXWIN="`pwd`"

pushd %{modn}
for UCODE in 0 1; do
  %{__python} setup.py build UNICODE="${UCODE}"
done
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/{applications,pixmaps}

pushd %{modn}
for UCODE in 0 1; do
  %{__python} setup.py install   \
	--skip-build -O1         \
	--root ${RPM_BUILD_ROOT} \
	UNICODE="${UCODE}"
done

%ifarch x86_64
%{__mv} ${RPM_BUILD_ROOT}%{python_sitelib}/wx.pth ${RPM_BUILD_ROOT}%{python_sitearch}
%endif

# GUI support
for DTFILE in distrib/*.desktop; do
  %{__install} -m 0644 ${DTFILE} ${RPM_BUILD_ROOT}%{_datadir}/applications
done

%{__install} -m 0644 wx/py/PyCrust_32.png               ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/PyCrust.png
%{__install} -m 0644 wx/tools/XRCed/XRCed_32.png        ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/XRCed.png
%{__install} -m 0644 wx/tools/Editra/pixmaps/editra.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/editra.png
popd

# Fix permissions
%{__chmod} a-x ${RPM_BUILD_ROOT}%{_includedir}/wx-%{wxver}/wx/%{modn}/i_files/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc docs/licence.txt %{modn}/docs/*
%{_bindir}/editra
%{_bindir}/helpviewer
%{_bindir}/img2*
%{_bindir}/pyalacarte
%{_bindir}/pyalamode
%{_bindir}/pycrust
%{_bindir}/pyshell
%{_bindir}/pywrap
%{_bindir}/pywxrc
%{_bindir}/xrced
%{python_sitelib}/wxaddons
%{python_sitelib}/wxversion.py*
%config(noreplace) %{python_sitearch}/wx.pth
%{python_sitearch}/wx-%{wxver}-gtk2-ansi
%{python_sitearch}/wx-%{wxver}-gtk2-unicode
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png

%files devel
%defattr(-,root,root)
%{_includedir}/wx-%{wxver}/wx/%{modn}


%changelog
* Tue May 20 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.8.7.1-3
- Rebuilt for updated wxGTK package

* Fri May 16 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.8.7.1-2
- Moved wx.pth to sitearch directory

* Thu May 15 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.8.7.1-1
- Initial build
